
-- This lua script works with the X-Key-Pad plugin from Strick and Rudder Studios to
-- control various functions in the Aerobask ViperJet

if(PLANE_ICAO == "VIPJ") then

	dataref("SHARED_0","SRS/X-KeyPad/SharedInt", "writable",0)
	dataref("SHARED_1","SRS/X-KeyPad/SharedInt", "writable",1)
	dataref("ENGINE_RPM","sim/cockpit2/engine/indicators/engine_speed_rpm", "readonly",0)
	dataref("CUT_OFF","sim/har/cutoff", "writable")
	dataref("FUEL_VALVE","sim/har/fuelPOS", "writable")
	dataref("CHOCKS","sim/har/flag", "writable")
	dataref("DOOR_SEAL","sim/har/doorseal", "writable")
	dataref("BLEED_AIR","sim/har/pressair", "writable")
	dataref("OXYGEN","sim/har/passoxy", "writable")
	dataref("CANOPY","sim/cockpit2/switches/canopy_open", "writable")
	dataref("CANOPY_UNLOCK","sim/har/cran1", "writable")

	

	if(ENGINE_RPM > 100) then
		SHARED_0 = 1
	else
		SHARED_0 = 0
	end
	
	SHARED_1 = CANOPY
	
	LAST_SHARED_0 = SHARED_0
	LAST_SHARED_1 = SHARED_1
	START_ENGINES = 0

	function EvaulateStart()
		if(SHARED_0 ~= LAST_SHARED_0) then

			if(SHARED_0 == 1) then
				CHOCKS = 0
				CUT_OFF = 0
				FUEL_VALVE = 1
				DOOR_SEAL = 1
				BLEED_AIR = 1
				OXYGEN = 1
				command_once("sim/igniters/igniter_contin_on_1")
				command_begin("sim/starters/engage_starter_1")
				START_ENGINES = 1
			else
				CUT_OFF = 1
				FUEL_VALVE = 0				
				CHOCKS = 1
				DOOR_SEAL = 0
				BLEED_AIR = 0
				OXYGEN = 0
				START_ENGINES = 0
				command_once("sim/igniters/igniter_contin_off_1")
			end
			
			
			
			LAST_SHARED_0 = SHARED_0
		
		end

		if(START_ENGINES == 1 and ENGINE_RPM > 1000) then
			command_end("sim/starters/engage_starter_1")
			START_ENGINES = 0
		end
		
	end
	
	function EvaluateCanope()
		if(SHARED_1 ~= LAST_SHARED_1) then

			if(SHARED_1 == 1) then
				CANOPY_UNLOCK = 1
				CANOPY = 1
			else
				CANOPY = 0
				DOOR_SEAL = 1
			end
		
			LAST_SHARED_1 = SHARED_1
		else
			SHARED_1 = CANOPY
			LAST_SHARED_1 = SHARED_1end
		end
	end


	do_often ("EvaulateStart()")
	do_often ("EvaluateCanope()")
end