
-- This lua script works with the X-Key-Pad plugin from Strick and Rudder Studios to set
-- the cowl flaps on the Baron 58

if(PLANE_ICAO == "B738" and PLANE_TAILNUMBER == "N816NN") then

	dataref("XPDR_MODE","laminar/B738/knob/transponder_pos")
	dataref("VOR_LOC_STATUS","laminar/B738/autopilot/vorloc_status")
	dataref("LNAV_STATUS","laminar/B738/autopilot/lnav_status")
	dataref("VNAV_STATUS","laminar/B738/autopilot/vnav_status1")
	
	

	


	dataref("SPEECH_ENABLED","SRS/X-KeyPad/CommandSpeechEnabled")



	LAST_XPDR_MODE = XPDR_MODE
	LAST_VOR_LOC_STATUS = VOR_LOC_STATUS
	LAST_LNAV_STATUS = LNAV_STATUS
	LAST_VNAV_STATUS = VNAV_STATUS

	function EvaluateTransponderMode()

		if(LAST_XPDR_MODE ~= XPDR_MODE) then
		
			if(SPEECH_ENABLED == 1) then
			
				if(XPDR_MODE == 0) then
					XPLMSpeakString("Transponder Mode Test")
				end
				if(XPDR_MODE == 1) then
					XPLMSpeakString("Transponder Mode Stand By")
				end
				if(XPDR_MODE == 2) then
					XPLMSpeakString("Transponder Mode A")
				end
				if(XPDR_MODE == 3) then
					XPLMSpeakString("Transponder Mode C")
				end
				if(XPDR_MODE == 4) then
					XPLMSpeakString("Transponder Mode T A")
				end
				if(XPDR_MODE == 5) then
					XPLMSpeakString("Transponder Mode T A and R A[")
				end
			
			end
			LAST_XPDR_MODE = XPDR_MODE
			
		end	
	end


	function EvaluateVORStatus()

		if(LAST_VOR_LOC_STATUS ~= VOR_LOC_STATUS or LAST_LNAV_STATUS ~= LNAV_STATUS) then
		
			if(SPEECH_ENABLED == 1) then
			
				if(VOR_LOC_STATUS == 0 and LNAV_STATUS == 0) then
					XPLMSpeakString("V O R and L N A V Off")
				end
				if(VOR_LOC_STATUS == 1 and LNAV_STATUS == 0) then
					XPLMSpeakString("V O R On")
				end
				if(VOR_LOC_STATUS == 0 and LNAV_STATUS == 1) then
					XPLMSpeakString("L N A V On")
				end
			
			end
			LAST_VOR_LOC_STATUS = VOR_LOC_STATUS
			LAST_LNAV_STATUS = LNAV_STATUS
			
		end	
	end
	
	
	function EvaluateVNAVStatus()

		if(LAST_VNAV_STATUS ~= VNAV_STATUS ) then
		
			if(SPEECH_ENABLED == 1) then
			
				if(VNAV_STATUS == 0) then
					XPLMSpeakString("VNAV Off")
				else
					XPLMSpeakString("VNAV On")
				end
			
			end
			LAST_VNAV_STATUS = VNAV_STATUS
		end	
	end



	do_often ("EvaluateTransponderMode()")
	do_often ("EvaluateVORStatus()")
	do_often ("EvaluateVNAVStatus()")



end

